#! /bin/sh /usr/share/dpatch/dpatch-run
## 03_wt_example_wrappers.dpatch by Pau Garcia i Quiles <pgquiles@elpauer.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Add patch coming from winstng to create example wrapper scripts

@DPATCH@

diff -rupdN wt-3.1.7a.orig/examples/run-example.bat.cmake wt-3.1.7a/examples/run-example.bat.cmake
--- wt-3.1.7a.orig/examples/run-example.bat.cmake	1970-01-01 01:00:00.000000000 +0100
+++ wt-3.1.7a/examples/run-example.bat.cmake	2011-01-20 15:28:40.000000000 +0100
@@ -0,0 +1,8 @@
+set PATH=%~p0;%PATH%
+set OLDPWD=%CD%
+REM Required until wthttp accepts a "--approot path" parameter
+cd ..\lib\Wt\examples\@EXAMPLESUBDIR@
+set DOCROOT=%CD%
+
+%~p0\..\lib\Wt\examples\@EXAMPLESUBDIR@\@EXAMPLENAME@.wt  --docroot %DOCROOT% --http-port 8080 --http-addr 0.0.0.0 %*
+cd %OLDPWD%
diff -rupdN wt-3.1.7a.orig/examples/run-example.cmake wt-3.1.7a/examples/run-example.cmake
--- wt-3.1.7a.orig/examples/run-example.cmake	Thu Jan  1 01:00:00 1970
+++ wt-3.1.7a/examples/run-example.cmake	Fri Jan 21 11:40:37 2011
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+PATH_TO_SCRIPT=$(cd ${0%/*} && echo $PWD/${0##*/})
+EXAMPLEPREFIX=`dirname "$PATH_TO_SCRIPT"`
+
+EXAMPLESUBDIR=@EXAMPLESUBDIR@
+EXAMPLESUBDIRFROMPREFIX=@EXAMPLESUBDIRFROMPREFIX@
+PREFIX=`echo $EXAMPLEPREFIX | sed s,$EXAMPLESUBDIRFROMPREFIX,,g`
+
+# Required until wthttp accepts a "--approot path" parameter
+cd $EXAMPLEPREFIX
+
+PATH=$PREFIX/bin:$PATH LD_LIBRARY_PATH=$PREFIX/lib:$LD_LIBRARY_PATH DYLD_LIBRARY_PATH=$PREFIX/lib:$DYLD_LIBRARY_PATH $EXAMPLEPREFIX/@EXAMPLENAME@.wt --docroot $EXAMPLEPREFIX/ --http-port 8080 --http-addr 0.0.0.0 $@
